#### D.14.7.13 from_boolean_ideal

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  from_boolean_ideal(I); I boolean ideal

Return:
  ideal in Singular

Example:

    LIB "polybori.lib";
    ring rs=0,(x,y,z),Dp;
    def rb3=boolean_poly_ring(rs);
    poly f1=x+y;
    poly f2=x+z;
    bpoly pp =f1;
    bpoly p = f2;
    bideal Ib;
    list K=(p,pp);
    Ib=K;
    from_boolean_ideal(Ib);
    ring rs2=5,(x,y,z),Dp;
    def rb4=boolean_poly_ring(rs2);
    poly p1=x+y;
    poly p2=x+z;
    poly p3=y+z;
    bpoly p = p1;
    bpoly pp = p2;
    bpoly ppp = p3;
    bideal Ib;
    list K=(p,pp,ppp);
    Ib=K;
    from_boolean_ideal(Ib);

See also: boolean_ideal; boolean_poly; boolean_poly_ring; boolean_std; from_boolean_poly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.